# Patient Pregnancy Details Create

| **API URL**     | {{url}}/spice-service/patient/pregnancy-details/create |
| --------------- | ------------------------------------------------------ |
| **Method**      | POST                                                   |
| **Description** | Patient Pregnancy Details Create                       |

#### **Input:** <a href="#patientpregnancydetailscreate-input" id="patientpregnancydetailscreate-input"></a>

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |

#### **Input:** <a href="#patientpregnancydetailscreate-input-.1" id="patientpregnancydetailscreate-input-.1"></a>

| **Field Name**          | **Type**         | **Mandatory** | **Example**               |
| ----------------------- | ---------------- | ------------- | ------------------------- |
| Diagnosis               | String           | No            | Eclampsia                 |
| Time of diagnosis       | String           | No            | 2023-02-07T00:00:00+00:00 |
| Estimated Delivery Date | String           | No            | 2024-02-23T00:00:00+00:00 |
| Gravida                 | Integer          | No            | 2                         |
| Patient is on treatment | Boolean          | No            | Yes                       |
| Last Menstrual Date     | String           | No            | 2023-03-07T00:00:00+00:00 |
| Parity                  | Integer          | No            | 2                         |
| Number of fetuses       | Integer          | No            | 2                         |
| Temperature             | Double-precision | No            | 25                        |

#### **Sample Input:** <a href="#patientpregnancydetailscreate-sampleinput" id="patientpregnancydetailscreate-sampleinput"></a>

{ "diagnosis": \[ "Eclampsia" ], "diagnosisTime": "2023-02-07T00:00:00+00:00", "estimatedDeliveryDate": "2024-02-23T00:00:00+00:00", "gravida": 23, "isOnTreatment": true, "lastMenstrualPeriodDate": "2023-03-07T00:00:00+00:00", "parity": 2, "patientTrackId": 11, "pregnancyFetusesNumber": 2, "temperature": 32, "tenantId": 4, "unitMeasurement": "metric" }

#### **Output:** <a href="#patientpregnancydetailscreate-output" id="patientpregnancydetailscreate-output"></a>

| **Field Name**            | **Type**         | **Comments**               |
| ------------------------- | ---------------- | -------------------------- |
| `diagnosis`               | String           | Pregnancy diagnosis        |
| `diagnosisTime`           | Timestamp        | Diagnosis time             |
| `estimatedDeliveryDate`   | Timestamp        | Estimated delivery date    |
| `gravida`                 | Integer          | Gravida                    |
| `isOnTreatment`           | Boolean          | Patient is on treatment    |
| `lastMenstrualPeriodDate` | Timestamp        | Last menstrual period date |
| `parity`                  | Integer          | Parity                     |
| `pregnancyFetusesNumber`  | Integer          | Pregnancy fetuses number   |
| `temperature`             | Double-precision | Patient temperature        |
| `unitMeasurement`         | String           | Unit measurement type      |
| `patientPregnancyId`      | Integer          | Patient pregnancy id       |

#### **Sample Output:** <a href="#patientpregnancydetailscreate-sampleoutput" id="patientpregnancydetailscreate-sampleoutput"></a>

```
{
  "message": "Patient Pregnancy details saved successfully.",
  "entity": {
    "id": 4,
    "diagnosis": [
      "Eclampsia"
    ],
    "diagnosisTime": "2023-02-07T05:30:00+05:30",
    "estimatedDeliveryDate": "2024-02-23T05:30:00+05:30",
    "gravida": 23,
    "isOnTreatment": true,
    "lastMenstrualPeriodDate": "2023-03-07T05:30:00+05:30",
    "parity": 2,
    "patientTrackId": 11,
    "pregnancyFetusesNumber": 2,
    "temperature": 32,
    "tenantId": 4,
    "unitMeasurement": "metric",
    "patientPregnancyId": 11
  },
  "status": true,
  "entityList": null,
  "responseCode": 201,
  "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/versions/spice-1.0/engineering/api-documentation/spice-services/patient-pregnancy-details-create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
